ASP.NET MVC 4 pro Visual Studio 2010 SP1 a Visual Web Developer 2010 SP1

Vyberte jazyk:
ASP.NET MVC 4 poskytuje rozhraní MVC (Model-View-Controller) pro vývoj webových aplikací pomocí sady Visual Studio 2010 SP1 nebo Visual Web Developer 2010 SP1.
  • Note:There are multiple files available for this download.Once you click on the "Download" button, you will be prompted to select the files you need.
    Verze:

    4

    File Name:

    AspNetMVC4Setup.exe

    AspNetMVC4Setup_CSY.exe

    Datum publikování:

    26. 10. 2012

    File Size:

    35.9 MB

    2.7 MB

      ASP.NET MVC 4 je rozhraní pro vývoj webových aplikací podle vzoru MVC (Model-View-Controller) s možností intenzivního testování a údržby. Toto rozhraní umožňuje udržovat jasně oddělené oblasti zájmu – zobrazení pro uživatelské rozhraní, kontrolery pro zpracování uživatelského vstupu a modely pro logiku domény. Aplikace ASP.NET MVC jsou velmi vhodné k testování jednotek a pro použití technologií testy řízeného vývoje (TDD). ASP.NET MVC 4 usnadňuje psaní aplikací pro mobilní web pomocí adaptivního vykreslování a režimů displeje konkrétního zařízení.

      ASP.NET MVC 4 dál obsahuje:

      • ASP.NET Web API, rozhraní pro vytváření a využití služeb HTTP zahrnující širokou nabídku klientů, včetně prohlížečů, telefonů a tabletů. ASP.NET Web API se skvěle hodí k vytváření služeb dodržujících styl architektury REST a podporuje vzory RPC;

      • ASP.NET Web Pages a nová syntaxe Razor poskytují rychlý, schůdný a snadný způsob kombinování kódu serveru s kódem HTML a vytváření dynamického webového obsahu;

      • Web Optimization, rozhraní pro sdružování a zmenšování skriptů a souborů CSS;

      • NuGet, bezplatný systém správy balíčků zaměřený na vývojáře pro platformu .NET, který je poskytován jako Open Source, je určen ke zjednodušení procesu začlenění knihoven jiných dodavatelů do aplikací .NET během vývoje.

  • Podporovaný operační systém

    Windows 7; Windows Server 2003 R2 (32-Bit x86); Windows Server 2003 R2 x64 editions; Windows Server 2003 Service Pack 2; Windows Server 2008; Windows Server 2008 R2; Windows Vista Service Pack 2; Windows XP Service Pack 3

      K použití této funkce potřebujete PowerShell 2.0, .NET 4, ASP.NET 4 a Visual Studio 2010 SP1 nebo Visual Web Developer 2010 SP1.